org.keycloak.services.clientpolicy

## Interface ClientUpdateContext

- All Superinterfaces:
    ClientPolicyContext
  All Known Implementing Classes:
    AdminClientRegisterContext, AdminClientUpdateContext, DynamicClientRegisterContext, DynamicClientUpdateContext

      public interface ClientUpdateContext
      extends ClientPolicyContext

  Represents the context in the client registration/update by Dynamic Client Registration or Admin REST API.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientModel` | `getAuthenticatedClient()` returns `UserModel` of the authenticated client.
    `UserModel` | `getAuthenticatedUser()` returns `UserModel` of the authenticated user.
    `default ClientModel` | `getClientToBeUpdated()` returns `ClientModel` of the current client to be updated.
    `ClientRepresentation` | `getProposedClientRepresentation()` returns `ClientRepresentation` for creating or updating the current client.
    `JsonWebToken` | `getToken()` returns `JsonWebToken` of the token accompanied with registration/update client

    - ### Methods inherited from interface org.keycloak.services.clientpolicy.ClientPolicyContext

      `getEvent`

- - ### Method Detail

    - #### getProposedClientRepresentation

          ClientRepresentation getProposedClientRepresentation()

      returns `ClientRepresentation` for creating or updating the current client.
      Returns:
        `ClientRepresentation`

    - #### getClientToBeUpdated

          default ClientModel getClientToBeUpdated()

      returns `ClientModel` of the current client to be updated.
      Returns:
        `ClientModel`

    - #### getAuthenticatedUser

          UserModel getAuthenticatedUser()

      returns `UserModel` of the authenticated user.
      Returns:
        `UserModel`

    - #### getAuthenticatedClient

          ClientModel getAuthenticatedClient()

      returns `UserModel` of the authenticated client.
      Returns:
        `UserModel`

    - #### getToken

          JsonWebToken getToken()

      returns `JsonWebToken` of the token accompanied with registration/update client
      Returns:
        `JsonWebToken`

Copyright © 2021 JBoss by Red Hat. All rights reserved.